Start a relabel run
curl --request POST \
--url https://distillation.training.wandb.ai/v1/tasks/{alias}/datasets/{datasetId}/relabels \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model_ref": "<string>",
"use_original_output": false,
"publish_to_weave": false
}
'import requests
url = "https://distillation.training.wandb.ai/v1/tasks/{alias}/datasets/{datasetId}/relabels"
payload = {
"model_ref": "<string>",
"use_original_output": False,
"publish_to_weave": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({model_ref: '<string>', use_original_output: false, publish_to_weave: false})
};
fetch('https://distillation.training.wandb.ai/v1/tasks/{alias}/datasets/{datasetId}/relabels', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dataset_revision": 123,
"model_ref": "openai/gpt-5.6-sol",
"status": "queued",
"output_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"error": "<string>"
}{
"error": {
"message": "Task 'missing' not found in entity 'your-team'",
"type": "not_found"
}
}Start a relabel run
POST
/
tasks
/
{alias}
/
datasets
/
{datasetId}
/
relabels
Start a relabel run
Authorizations
A personal or service-account W&B API key.
Headers
Accessible personal or team entity. Omit to use the API key's default entity.
Body
application/json
Response
Relabeling was queued.
Pattern:
^[a-z0-9][a-z0-9_-]{0,63}/\S+$Example:
"openai/gpt-5.6-sol"
Available options:
queued, running, completed, failed, stale Last modified on August 25, 2026
Was this page helpful?
⌘I